Entities\Picture:
    type: entity
    table: picture
    repositoryClass: Repositories\PictureRepository
    id:
        id:
            type: integer
            generator:
                strategy: AUTO
    fields:

    oneToOne:
        resource:
            targetEntity: Entities\Resource
            joinColumnName: img
            referencedColumnName: id
            cascade: [persist, remove]
 
    lifecycleCallbacks: { }